Loading...
Searching...
No Matches
PointAdvect.h File Reference

Ability to advect VDB Points through a velocity field. More...

`#include <openvdb/openvdb.h>`
`#include <openvdb/tools/Prune.h>`
`#include <openvdb/tools/VelocityFields.h>`
`#include "AttributeGroup.h"`
`#include "PointDataGrid.h"`
`#include "PointGroup.h"`
`#include "PointMove.h"`
`#include <memory>`

Go to the source code of this file.

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::points

## Functions

template<typename PointDataGridT, typename VelGridT, typename AdvectFilterT = NullFilter, typename FilterT = NullFilter>
void | advectPoints (PointDataGridT &points, const VelGridT &velocity, const Index integrationOrder, const double dt, const Index timeSteps, const AdvectFilterT &advectFilter=NullFilter(), const FilterT &filter=NullFilter(), const bool cached=true)
| Advect points in a PointDataGrid through a velocity grid.

## Detailed Description

Ability to advect VDB Points through a velocity field.

Author
  Dan Bailey